<?php
    include "conn.php";
    session_start();
    $is_login = false;
    if (isset($_COOKIE['auth']))
        if ($_COOKIE['auth']){
            $is_login = true;
            echo '<div style="display:none" class = "пасхалка gap"></div>';
        }
    if ($is_login == false){
        setcookie('auth','',time()-3600);
        header("Location:index.php");
    }
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=, initial-scale=1.0">
    <link rel="stylesheet" href="styles/style_add.css">
    <link rel="icon" href ="icon.ico" type="image/x-icon">
    <title>Digital Port</title>
</head>
<body>
    <header>
        <div class="container_header">
            <div class="button_container_header">
                <a href="cabinet.php">Назад</a>
            </div>
        </div>
    </header>
    <main>
        <div class="container">
            <h3>Добавить работу</h3>
            <form enctype="multipart/form-data" method="post">
                <input type="text" name = "name" required placeholder="Название">
                <input type="text" name = "tag" placeholder="Тип работы (тэг)">
                <input type="text" name = "link" placeholder="Ссылка на работу">
                <textarea name="about" cols="30" rows="10" placeholder="Описание"></textarea>
                <label for="images">
                    <div id ="add">Загрузить файлы</div>
                </label>
                <input type="file" name="uploadfile[]" required id="images" accept="image/png, image/jpeg" class ="forFile" multiple>
                <button id="btn" >Добавить</button>
            </form>
            <div style = "display:none" id ="fileInfo">
                
            </div>
                <?php
                    function toArrayFiles(&$file_post) {

                        $file_ary = array();
                        $file_count = count($file_post['name']);
                        $file_keys = array_keys($file_post);
                    
                        for ($i=0; $i<$file_count; $i++) {
                            foreach ($file_keys as $key) {
                                $file_ary[$i][$key] = $file_post[$key][$i];
                            }
                        }
                    
                        return $file_ary;
                    }

                    function upload_file($id, $work, $user, $file, $upload_dir= 'files', $allowed_types= array('image/png','image/jpeg')){
                        
                        $filename = $user."_".$work."_".$id;
                        $blacklist = array(".php", ".phtml", ".php3", ".php4");
                        $ext = substr($filename, strrpos($filename,'.'), strlen($filename)-1);
                        if(in_array($ext,$blacklist )){
                          return array('error' => 'Запрещено загружать исполняемые файлы');}
                      
                        $upload_dir = dirname(__FILE__).DIRECTORY_SEPARATOR.$upload_dir.DIRECTORY_SEPARATOR;
                        $max_filesize = 43886080;
                      
                        if(!is_writable($upload_dir)) 
                          return array('error' => 'Невозможно загрузить файл в папку "'.$upload_dir.'". Установите права доступа - 777.');
                      
                        if(!in_array($file['type'], $allowed_types))
                          return array('error' => 'Данный тип файла не поддерживается.');
                      
                        if(filesize($file['tmp_name']) > $max_filesize)
                          return array('error' => 'файл слишком большой. максимальный размер '.intval($max_filesize/(1024*1024)).'мб');
                      
                        if(!move_uploaded_file($file['tmp_name'],$upload_dir.$filename.".".substr($file['type'],6)))
                          return array('error' => 'При загрузке возникли ошибки. Попробуйте ещё раз.');
                      
                          return Array('filename' => $filename.".".substr($file['type'],6));
                    }

                    if(isset($_POST['name']) && isset($_FILES['uploadfile']) && !empty($_FILES['uploadfile']['name'])){
                        $files = toArrayFiles($_FILES['uploadfile']);
                        $name = $_POST['name'];
                        $about = $_POST['about'];
                        $link = $_POST['link'];
                        $sql = "SELECT `id`,`works_ids` FROM `users` WHERE `login` = '".$_COOKIE['log']."'";
                        $zapros = mysqli_query($conn,$sql);
                        $results = mysqli_fetch_all($zapros, MYSQLI_ASSOC)[0];
                        if ($results['works_ids'] == "") {
                            $work_id = "0";
                        }
                        else {
                            $works = explode(" ", $results['works_ids']);
                            $work_id = $works[count($works)-1]; 
                        }
                        $images = "";
                        for ($i=0; $i < count($files); $i++) { 
                            $result = upload_file($i, $work_id, $results['id'], $files[$i]);
                            if(isset($result['error'])){
                                echo $result['error'];
                            }else{
                                $images = $images." ".$result['filename'];
                            }
                        }
                        $sql = 'INSERT INTO `works` (`file`,`name`,`about`,`link`,`user`) Values ("'.$images.' ","'.$name.'","'.$about.'","'.$link.'","'.$results['id'].'")';
                        $zapros = mysqli_query($conn,$sql);
                        $sql = 'SELECT `id` FROM `works` WHERE `file`="'.$images.'"';
                        $zapros = mysqli_query($conn,$sql);
                        $work = mysqli_fetch_all($zapros, MYSQLI_ASSOC)[0];
                        $sql = 'UPDATE `users` SET `works_ids` ="'.$results['works_ids']." ".$work['id'].'" WHERE `id`="'.$results['id'].'"';
                        $zapros = mysqli_query($conn,$sql);
                    }
                    
                ?>
            
            
        </div>
    </main>
    <script src ="scripts/script_add.js"></script>
</body>
</html>
