<?php
    include "conn.php";
    session_start();
    $is_you = true;
    $is_login = false;
    if (isset($_GET['user'])){
        if (isset($_COOKIE['log']))
        {
            $sql = "SELECT `id` FROM `users` WHERE `login` = '".$_COOKIE['log']."'";
            $zapros = mysqli_query($conn,$sql);
            $user = mysqli_fetch_all($zapros, MYSQLI_ASSOC)[0]['id'];
            if ($user != $_GET['user']) {
                $sql = "SELECT * FROM `users` WHERE `id` = '".$_GET['user']."'";
                $zapros = mysqli_query($conn,$sql);
                $currentUser = mysqli_fetch_all($zapros, MYSQLI_ASSOC)[0];
                $url = "cabinet.php?user=".$_GET['user'];
                $is_you = false;
            }
        }
        else {
            $sql = "SELECT * FROM `users` WHERE `id` = '".$_GET['user']."'";
            $zapros = mysqli_query($conn,$sql);
            $currentUser = mysqli_fetch_all($zapros, MYSQLI_ASSOC)[0];
            $url = "cabinet.php?user=".$_GET['user'];
            $is_you = false;
        }
    }
    if (isset($_COOKIE['auth']) && $is_you) {
        if ($_COOKIE['auth']){
            $is_login = true;
            $sql = "SELECT * FROM `users` WHERE `login` = '".$_COOKIE['log']."'";
            $zapros = mysqli_query($conn,$sql);
            $currentUser = mysqli_fetch_all($zapros, MYSQLI_ASSOC)[0];
            echo '<div style="display:none" class = "пасхалка gap"></div>';
            $url = "cabinet.php";
        }
    }
    if (!$is_login && $is_you) {
        header("Location:index.php");
    }
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="styles/style_cabinet.css">
    <link rel="icon" href ="icon.ico" type="image/x-icon">
    <title>Digital Port</title>
</head>
<body>
    <header>
        <div class="container_header">
            <div class="button_container_header index">
                <a href="index.php">Главная</a>
            </div>
            <?php
                if ($is_login){
                    echo '
                    <div class="button_container_header logout">
                        <a href="logout.php">Выйти</a>
                    </div>';
                }
            ?>
        </div>
    </header>
    <main>
        <div class="account">
            <div class="user">
                <div class="icon">
                    <?php
                        echo '
                        <img src="files/'.$currentUser['icon'].'">
                        ';
                    ?>
                </div>
                <div class="names">
                    <?php
                        echo '
                        <span class="name">'.$currentUser['name'].'</span>
                        ';
                        echo '
                        <span class="surname">'.$currentUser['surname'].'</span>
                        ';
                        echo '
                        <span class="from">'.$currentUser['_from'].'</span>
                        ';
                    ?>
                </div>
            </div>
            <?php 
                if ($currentUser['about']!="")
                echo '
                <div class="about">
                    <span>О себе:</span>
                    <p>'.$currentUser['about'].'</p>
                </div>';
            ?>
            <?php 
                if ($is_login)
                {
                    echo '
                    <div class="edit">
                        <a href = "add.php">
                            <div class="button">Добавить работу</div>
                        </a>
                        
                        <a class="change" href ="change.php">
                            Редактировать профиль
                        </a>
                    </div>';
                }
            ?>
            
        </div>
        <div class="items">
            <?php 
                if ($is_login)
                {
                    echo '
                    <h3>Ваши работы</h3>';
                }
                else {
                    echo '
                    <h3>Работы '.$currentUser['name'].'</h3>';
                }
            ?>
            
            <?php
                if (isset($_POST['new'])) {
                    $i = (int)$_POST['new'];
                    addItems($i, $conn, $currentUser, $url);
                }
                else {
                    $i = 10;
                    addItems($i, $conn, $currentUser, $url);
                }
                function addItems($i, $conn, $user, $url) {
                    $sql = 'SELECT * FROM `works` WHERE `user` = "'.$user['id'].'" ORDER BY `id` DESC LIMIT '.$i;
                    $zapros = mysqli_query($conn,$sql);
                    $results = mysqli_fetch_all($zapros, MYSQLI_ASSOC);
                    $prev = "";
                    foreach ($results as $work) {
                        $images = explode(" ", $work['file']);
                        if ($url =="cabinet.php") {
                            echo '
                            <div class ="del_item">
                                <a href="delete.php?id='.$work['id'].'&prev='.$prev.'" class="del_btn">
                                    <div class="del_icon">
                                        <div class="circle">
                                            <img src="styles/img/Group.svg">
                                        </div>
                                    </div>
                                </a>
                            </div>';
                        }
                        echo '
                        <div class="item" id = "'.$work['id'].'">
                            <div class="left">
                                <div class="name">
                                    '.$work['name'].' #'.$work['tag'].'
                                </div>
                                <div class="picture">
                                    <img src ="files/'.$images[1].'">
                                </div>
                            </div>
                            <div class="right">
                                <div class="about">
                                    <span>Описание:</span>
                                    '.$work['about'].'
                                </div>
                                <div class="by">
                                    '.$user['name'].'
                                </div>
                            </div>
                        </div>';
                        $prev = $work['id'];
                    }
                    if (count($results) == $i) {
                        $i = $i+10;
                        echo '
                        <form class="add" action ="'.$url."#".$results[array_key_last($results)]['id'].'" method ="post">
                            <input style = "display:none" type="text" name = "new" value="'.$i.'">
                            <label for="button" class="btn">Показать еще</label>
                            <button id = "button" style="display:none"></button>
                        </form>';
                    }
                }
            ?>
            
        </div>
    </main>
    <div class="close_cont">
        <div class="close">X</div>
    </div>
    <iFrame src="" class="overlay">
    
    </iFrame>
    <footer>
        <span>Made by Headphones</span>
    </footer>
    <script src="scripts/script_cabinet.js"></script>
</body>
</html>