<?php
    include "conn.php";
    session_start();
    if (isset($_COOKIE['errors'])){
        $errors = $_COOKIE['errors'];
        if ($errors>3){
            echo "<div>Превышено количество попыток входа</div>";
            header("Location:register.php");
        }
    } else {
        $errors = 0;
    }
    
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=, initial-scale=1.0">
    <link rel="stylesheet" href="styles/style_enter.css">
    <link rel="icon" href ="icon.ico" type="image/x-icon">
    <title>Digital Port</title>
</head>
<body>
    <header>
        <div class="container_header">
            <div class="button_container_header">
                <a href="index.php">Главная</a>
            </div>
        </div>
    </header>
    <main>
        <div class="container">
            <h3>Вход</h3>
            <form method="post">
                <input autocomplete="off" type="text" name = "login" required placeholder="Почта">
                <input autocomplete="off" type="password" name="password" required placeholder="Пароль">
                <button>Войти</button>
                <div class="register">
                    <a href="register.php">Зарегистрироваться</a>
                </div>
                <?php
                    
                        if ( isset($_POST['login'])){
                            $sql_sr = "SELECT * FROM `users`";
                            $zapros_sr = mysqli_query($conn,$sql_sr);
                            $results_all = mysqli_fetch_all($zapros_sr, MYSQLI_ASSOC);
                            $flag = 0;
                            for ($i=0; $i < count($results_all); $i++) { 
                                if ($results_all[$i]['login'] == $_POST['login'] && $results_all[$i]['pass'] == $_POST['password']){
                                    $flag = 1;
                                    break;
                                } else {
                                    $flag = 0;
                                }
                            }
                            if ($flag == 0){
                                $errors = $errors+1;
                                echo '<div class="error">Не правильный логин или пароль!</div>';
                                echo '<div class="error">Осталось попыток: '.(3-$errors).'</div>';
                                setcookie('errors',$errors,time()+60);
                                setcookie('auth', true, time() - 3600);
                                setcookie('log', $_POST['login'], time() - 3600);
                                
                            } else {
                                setcookie('errors',$errors,time()-3600);
                                setcookie('auth', true, time() + 3600);
                                setcookie('log', $_POST['login'], time() + 3600);
                                header("Location:index.php");
                            }
                            if ($errors > 3) {
                                header("Location:index.php");
                            }
                        }
                ?>
            </form>
        </div>
    </main>
</body>
</html>
