<?php
    include "conn.php";
    session_start();
    $is_login = false;
    if (isset($_COOKIE['auth']))
        if ($_COOKIE['auth'])
            $is_login = true;
    if (isset($_GET['search']) && (!isset($_GET['type_of_search']) || $_GET['type_of_search'] != "by_user")){
        $input = explode("#", $_GET['search']);
        if (count($input) > 1){
            $tag = $input[count($input)-1];
            if ($tag != ""){
                $text = "Работы с тэгом #".$tag;
                if (isset($_GET['type_of_sort']) && $_GET['type_of_sort'] == "sort_comm")
                    $sql = 'SELECT * FROM `works`WHERE `tag` ="'.$tag.'" ORDER BY `comm_count` DESC';
                else
                    $sql = 'SELECT * FROM `works` WHERE `tag` ="'.$tag.'" ORDER BY `id` DESC';
                $zapros = mysqli_query($conn,$sql);
                $items = mysqli_fetch_all($zapros, MYSQLI_ASSOC);
            }
            else {
                $items = wrongQuery($conn);
            }
        } else {
            $items = wrongQuery($conn);
        }
    } else {
        $items = wrongQuery($conn);
    }

    function wrongQuery($conn) {
        if (isset($_GET['type_of_sort']) && $_GET['type_of_sort'] == "sort_comm")
            $sql = 'SELECT * FROM `works` ORDER BY `comm_count` DESC';
        else
            $sql = 'SELECT * FROM `works` ORDER BY `id` DESC';
        $zapros = mysqli_query($conn,$sql);
        return mysqli_fetch_all($zapros, MYSQLI_ASSOC);
    }

    if (isset($_GET['type_of_search']) && explode("#", $_GET['search'])[0] != "" && $_GET['type_of_search'] == "by_name") {
        $match = [];
        for ($i=0; $i < count($items); $i=$i+1) { 
            $sim = similar_text($_GET['search'],$items[$i]['name'] , $perc);
            $words = explode(" ",$items[$i]['name']);
            $search_words = explode(" ",$_GET['search']);
            $count = 0;
            foreach ($words as $word) {
                foreach ($search_words as $search_word) {
                    $sim = similar_text($search_word, $word, $perc);
                    if ($perc > 60)
                        $count++;
                }
            }
            if ($perc>=80*strlen($_GET['search'])/strlen($items[$i]['name']) || $count > 0){
                array_push($match,$items[$i]);
            }
        }
        $items = $match;
    }
    if (isset($_GET['type_of_search']) && $_GET['type_of_search'] == "by_user") {
        $match_id = [];
        $sql = "SELECT `id`, `name` FROM `users` WHERE 1";
        $zapros = mysqli_query($conn,$sql);
        $users = mysqli_fetch_all($zapros, MYSQLI_ASSOC);
        for ($i=0; $i < count($users); $i=$i+1) { 
            $sim = similar_text($_GET['search'],$users[$i]['name'] , $perc);
            if ($perc>=80*strlen($_GET['search'])/strlen($users[$i]['name'])){
                array_push($match_id, $users[$i]['id']);
            }
        }
        $part = "`user` = ";
        $ids = "";
        foreach ($match_id as $id) {
            $ids = $ids.$part."'".$id."' || ";
        }
        if (isset($_GET['type_of_sort']) && $_GET['type_of_sort'] == "sort_comm")
            $sql = 'SELECT * FROM `works` WHERE '.$ids.' 0 ORDER BY `comm_count` DESC';
        else
            $sql = 'SELECT * FROM `works` WHERE '.$ids.' 0 ORDER BY `id` DESC';
        $zapros = mysqli_query($conn,$sql);
        $items = mysqli_fetch_all($zapros, MYSQLI_ASSOC);
        if (count($items) == 0)
            $text = "Такой автор не найден!";
    }
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=, initial-scale=1.0">
    <meta name="viewport" content="width=device-width, user-scalable=no">
    <link rel="icon" href ="icon.ico" type="image/x-icon">
    <link rel="stylesheet" href="styles/style_index.css">
    <title>Digital Port</title>
</head>

<body>
    <?php
        echo '
        <div class="hints">
            <div class = hint>Закрыть</div>';
        $sql = 'SELECT `tag` FROM `tags` WHERE 1';
        $zapros = mysqli_query($conn,$sql);
        $tags = mysqli_fetch_all($zapros, MYSQLI_ASSOC);
        foreach ($tags as $t) {
            echo '
            <div class="hint">#'.$t['tag'].'</div>';
        }
        echo '</div>';
    ?>
    <header>
        <div class="container_header">
            <form  method="get">
                <div class="search">
                    <input id = "search" autocomplete="off" type="text" name="search" placeholder ="Поиск..." value ="<?php if (isset($_GET['search'])) echo $_GET['search']; ?>">
                    <button id = "search_btn" ><img src="styles/img/search_icon.png"></button>
                </div>  
                <div class="settings">
                    <span>Искать по:</span>
                    <div class="search_by">
                        <input type="radio" name="type_of_search" id="type_of_search1" value = "by_name" style="display:none" <?php if (isset($_GET['type_of_search']) && $_GET['type_of_search'] == "by_name" || !isset($_GET['type_of_search'])) echo "checked" ?>>
                        <label class="setting setting_active" for="type_of_search1">названию</label>
                        <input type="radio" name="type_of_search" id="type_of_search2" value = "by_user" style="display:none" <?php if (isset($_GET['type_of_search']) && $_GET['type_of_search'] == "by_user") echo "checked" ?>>
                        <label class="setting" for="type_of_search2">автору</label>
                    </div>
                    <div class="sort_by">
                        <input type="radio" name="type_of_sort" id="type_of_sort2" value = "sort_comm" style="display:none" <?php if (isset($_GET['type_of_sort']) && $_GET['type_of_sort'] == "sort_comm") echo "checked" ?>>
                        <label class="setting" for="type_of_sort2">популярные</label>
                        <input type="radio" name="type_of_sort" id="type_of_sort1" value = "sort_new" style="display:none" <?php if (isset($_GET['type_of_sort']) && $_GET['type_of_sort'] == "sort_new" || !isset($_GET['type_of_search'])) echo "checked" ?>>
                        <label class="setting" for="type_of_sort1">новые</label>
                    </div>
                </div>
            </form>
            <div id ="sort" class="button_container_header sort"></div>
            <?php
                if ($is_login == true){
                    echo '
                    <div class="button_container_header cab">
                        <a href="cabinet.php">Личный кабинет</a>
                    </div>';
                } else {
                    echo '
                    <div class="button_container_header enter">
                        <a href="enter.php">Войти</a>
                    </div>';
                }
            ?>
        </div>
    </header>
    <main>
        <?php 
            if (isset($text))
                echo '<h3>'.$text.'</h3>';
            else
                if (isset($_GET['type_of_sort']) && $_GET['type_of_sort'] == "sort_new" || !isset($_GET['type_of_sort']))
                    echo '<h3>Новые работы!</h3>';
                else
                    echo '<h3>Популярные работы!</h3>';
        ?>
        
        <div class="items">
            <?php
                if (isset($_POST['new'])) {
                    $i = (int)$_POST['new'];
                    addItems($i, $items, $conn);
                }
                else {
                    $i = 10;
                    if (count($items) < $i)
                        $i = count($items);
                    addItems($i, $items, $conn);
                }
                function printItems($i, $results, $conn){
                    if ($i > count($results))
                    {
                        $i = count($results);
                    }
                    for ($j=0; $j < $i; $j++)
                    {
                        $work = $results[$j];
                        $sql = 'SELECT `name`, `surname` FROM `users` WHERE `id` ="'.$work['user'].'"';
                        $zapros = mysqli_query($conn,$sql);
                        $user = mysqli_fetch_all($zapros, MYSQLI_ASSOC)[0];
                        $name = $user['name']." ".$user['surname'];
                        $images = explode(" ", $work['file']);
                        echo '
                            <div class="item" id = "'.$work['id'].'">
                                <div class="left">
                                    <div class="name">
                                        '.$work['name'].' #'.$work['tag'].'
                                    </div>
                                    <div class="picture">
                                        <img src ="files/'.$images[1].'">
                                    </div>
                                </div>
                                <div class="right">
                                    <div class="about">
                                        <span>Описание:</span>
                                        '.$work['about'].'
                                    </div>
                                    <div class="by">
                                        <a href="cabinet.php?user='.$work['user'].'" class="byLink">
                                            '.$name.'
                                        </a>
                                    </div>
                                </div>
                            </div>';
                    }
                }
                function addItems($i,$items, $conn) {
                    if (count($items)!=0)
                        printItems($i,$items, $conn);
                    if (count($items) > $i) {
                        $i = $i+10;
                        if (isset($_GET['search']))
                            $search = $_GET['search'];
                        else
                            $search = "";
                        if (isset($_GET['type_of_search']))
                            $type_of_search = $_GET['type_of_search'];
                        else
                            $type_of_search = "";
                        if (isset($_GET['type_of_sort']))
                            $type_of_sort = $_GET['type_of_sort'];
                        else
                            $type_of_sort = "";
                        
                        echo '
                        <form class="add" action ="index.php?type_of_search='.
                        $type_of_search
                        .'&search='.
                        $search
                        .'&type_of_sort='.
                        $type_of_sort
                        .'#'.$items[$i-11]['id'].'" method ="post">
                            <input style = "display:none" type="text" name = "new" value="'.$i.'">
                            <label for="button" class="btn">Показать еще</label>
                            <button id = "button" style="display:none"></button>
                        </form>';
                    }
                }
                
            ?>
            
        </div>
    </main>
    <div class="close_cont">
        <div class="close">X</div>
    </div>
    <iFrame src="" class="overlay">
    
    </iFrame>
    
    <footer>
        <span>Made by Headphones</span>
    </footer>
    <script src="scripts/script_index.js"></script>
</body>
</html>